Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.util
Class ArrayDict

    java.lang.Object
      ipipan.spejd.util.ArrayDict

    public class ArrayDict

extends java.lang.Object

Configuration class, containing a set of variables with values.

Field Summary
`protected java.util.TreeMap<java.lang.String,T>` | `dict`

Constructor Summary
`ArrayDict()` Creates a new configuration with no variables.
`ArrayDict(java.lang.String filename)` Creates a dictionary with variables loaded from a given filename.

Method Summary
`java.util.TreeMap<java.lang.String,T>` | `getDict()`
`void` | `load(java.lang.String filename)` Loads configuration from a specified file.
`void` | `put(java.lang.String var, java.lang.String value)` Sets value of a configuration variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dict

    protected java.util.TreeMap<java.lang.String,T> dict

Constructor Detail

### ArrayDict

    public ArrayDict()

  Creates a new configuration with no variables.

### ArrayDict

    public ArrayDict(java.lang.String filename)

  Creates a dictionary with variables loaded from a given filename.

Method Detail

### put

    public void put(java.lang.String var,
                    java.lang.String value)

  Sets value of a configuration variable.

  Parameters:
    `var` - name of the variable to set
    `value` - value of the variable as String

### load

    public void load(java.lang.String filename)

  Loads configuration from a specified file.

  Parameters:
    `filename` - name of the configuration file

### getDict

    public java.util.TreeMap<java.lang.String,T> getDict()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD